import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiRgAccessGrantResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiRgAccessGrantProtocol(_base.BasePostAPIFunctionProtocol):
    def access_grant(
        self,
        *,
        access_type: _nested.AccessTypeForSet,
        rg_id: int,
        user_name: str,
    ) -> CloudapiRgAccessGrantResultBool:
        ...
